Search found 6 matches

by grism
Thu Mar 23, 2017 9:17 pm
Forum: Ports
Topic: ODROID C1 - How do I port Love2d - lubuntu (armhf)
Replies: 11
Views: 2425

Re: ODROID C1 - How do I port Love2d - lubuntu (armhf)

I'm still struggling to get this to work. After many hours, I got it functioning with fbdev but there seems to be something wrong with keyboard input. I used a modified version of SDL2 to work with the Mali chipset.
by grism
Wed Mar 15, 2017 8:09 pm
Forum: Ports
Topic: ODROID C1 - How do I port Love2d - lubuntu (armhf)
Replies: 11
Views: 2425

Re: ODROID C1 - How do I port Love2d - lubuntu (armhf)

Well, that's the strange thing. Love2D says it can't find OpenGL *or* GLES2. It doesn't make sense because GLES2 is definitely working and available on the system. I verified with glmark2-es2 and SDL2. SDL2 and glmark2-es2 reported using the correct GPU (Mali 450). The SDL2 test required me to compi...
by grism
Wed Mar 15, 2017 6:41 pm
Forum: Ports
Topic: ODROID C1 - How do I port Love2d - lubuntu (armhf)
Replies: 11
Views: 2425

Re: ODROID C1 - How do I port Love2d - lubuntu (armhf)

Yes, that is unsurprising. I downloaded the latest sources for SDL2 and Love2D but it doesn't work. For some reason, it tries to use OpenGL (which fails, of course) and then doesn't try GLES. I verified this by running the SDL2 tests and seeing that it uses software rendering (and not GLES). I got t...
by grism
Tue Mar 14, 2017 8:27 pm
Forum: Ports
Topic: ODROID C1 - How do I port Love2d - lubuntu (armhf)
Replies: 11
Views: 2425

Re: ODROID C1 - How do I port Love2d - lubuntu (armhf)

I tried the bart version with my Odroid C1+ but it failed at the first step (automagic). I've been trying for days to get Love2D working on my device. Has there been any progress? The binary package is no good. It doesn't appear to support GLES, which is necessary. Here is the error from automagic: ...
by grism
Fri Aug 12, 2016 8:09 am
Forum: General
Topic: Avoiding OOP
Replies: 30
Views: 2374

Re: Avoiding OOP

I don't really understand. Lua allows you to implement OO in your programming, if you want to use it. Is there a reason you want to avoid it?
by grism
Fri Aug 12, 2016 8:04 am
Forum: General
Topic: OpenGL Requirements
Replies: 1
Views: 254

OpenGL Requirements

Hi,

I noticed that Löve comes with SDL2.dll but apparently requires OpenGL 2+. I know that SDL doesn't require OpenGL, so I'm a little surprised that this 2D engine (Löve) depends on it. Can anyone elaborate on the reason for the OpenGL requirement?

Thanks!